#!/bin/bash

# (c) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>
# Licensed under the GPL v2

if [[ $1 == "" ]]; then
	echo "Usage: ./program_device.sh bitfile.bit"
	exit 1
fi

UNIQUEID=$(date "+%s%N")
DEVICETYPE=$(bitdevice $1)
SVFFILE=/tmp/${UNIQUEID}.svf
if [[ $? != 0 ]]; then
	exit 1
fi
bit2svf $1 $SVFFILE $DEVICETYPE
if [[ $? != 0 ]]; then
	rm -f $SVFFILE
	exit 1
fi
xsvf-rpi -v -s $SVFFILE
if [[ $? != 0 ]]; then
	rm $SVFFILE
	exit 1
fi
rm $SVFFILE
